<cfsetting enablecfoutputonly="Yes">
<cfprocessingDirective pageencoding="utf-8">

<!--- Set up default values --->
<cfparam name="errormessage" default="">
<cfparam name="successmessage" default="">

<cfif isdefined("FORM.submit") and form.submit eq "Set Categories">
	<cfparam name="form.lSelectedCategoryID" default="">
	<cfloop list="#form.objectid#" index="thisobject">
		<cfset oType = CreateObject("component", application.types[form.contenttypecur].typePath)>
		<cfset stObj = oType.getData(objectid="#thisobject#")>
		<cfinvoke  component="#application.packagepath#.farcry.category" method="assignCategories" returnvariable="stStatus">
			<cfinvokeargument name="objectID" value="#thisobject#"/>
			<cfinvokeargument name="lCategoryIDs" value="#form.lSelectedCategoryID#"/>
			<cfinvokeargument name="dsn" value="#application.dsn#"/>
		</cfinvoke>
		<cfset successmessage="#successmessage#<li>Categories added to #stObj.label#</li>">
	</cfloop>
	<cfset successmessage="<ul>#successmessage#</ul>">
</cfif>

<!--- Get types --->
<cfset listofKeys = structKeyList(application.types)>
<cfset listofKeys = listsort(listofkeys,"textnocase")>		

<!--- If type is set, get list --->
<cfif isdefined("form.contenttype")>
	<cfquery datasource="#application.dsn#" name="qList">
		select objectid, label
		from #application.dbowner##form.contenttype#
		order by label asc
	</cfquery>
</cfif>

<!--- Import libraries --->
<cfimport taglib="/farcry/farcry_core/tags/admin/" prefix="admin">
<cfimport taglib="/farcry/farcry_core/tags/widgets/" prefix="widgets">

<cfsetting enablecfoutputonly="no">
<!--- set up page header --->
<admin:header writingDir="#session.writingDir#" userLanguage="#session.userLanguage#">
<cfoutput>
	<form action="#cgi.script_name#?#cgi.query_string#" class="f-wrap-1 wider f-bg-medium" name="editform" method="post" enctype="multipart/form-data">
		<fieldset>
	<h3>Bulk Categorization</h3>
	
		<cfif errormessage NEQ "">
			<p id="fading1" class="fade"><span class="error">#errormessage#</span></p>
		<cfelseif successmessage NEQ "">
			<p id="fading2" class="fade"><span class="success">#successmessage#</span></p>
		</cfif>	
		
		
			<input type="hidden" name="module" value="#url.module#">
		
			<cfparam name="form.contentType" default="">
			<label for="contentType"><b>#application.adminBundle[session.dmProfile.locale].contentType#</b>
				<select name="contentType" id="contentType"><cfloop list="#listOfKeys#" index="i">
					<option value="#i#"<cfif contentType EQ i> selected="selected"</cfif>>#i#</option></cfloop>			
				</select><br />
			</label>
	
			<cfif isdefined("qList")>
				<label for="objectlist"><strong>Objects</strong>
				<table id="objectlist">
					<tr><th>&nbsp;</th><th>Label</th></tr>
					<cfloop query="qList">
					<tr><td><input type="checkbox" name="objectid" value="#objectid#"></td><td>#label#</td></tr>
					</cfloop>
				</table>
				</label>
				<input type="hidden" name="contenttypecur" value="#form.contenttype#">
				<widgets:categoryAssociation typeName="#form.contenttype#" lSelectedCategoryID="" categoryformfieldname="lselectedcategoryid">
			</cfif>
		</fieldset>
		<input type="hidden" name="bFormSubmit" value="yes">
		<div class="f-submit-wrap">
		<input type="Submit" name="Submit" value="Get List" class="f-submit" /><cfif isdefined("qList")><input type="Submit" name="Submit" value="Set Categories" class="f-submit" /></cfif>
		</div>
	</form>
</cfoutput>
<admin:footer>

<cfsetting enablecfoutputonly="no">